Bug 472274 - Review Request: atari++ - Unix based emulator of the Atari eight bit computers
Review Request: atari++ - Unix based emulator of the Atari eight bit computers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 13:57 EST by Dan Horák
Modified: 2008-11-25 11:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 16:06:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-11-19 13:57:18 EST
Spec URL: http://fedora.danny.cz/atari++.spec
SRPM URL: http://fedora.danny.cz/atari++-1.55-1.fc11.src.rpm

Description:
The Atari++ Emulator is a Unix based emulator of the Atari eight bit
computers, namely the Atari 400 and 800, the Atari 400XL, 800XL and 130XE,
and the Atari 5200 game console. The emulator is auto-configurable and
will compile on a variety of systems (Linux, Solaris, Irix).
Atari++ 1.30 and up contain a built-in ROM emulation that tries to mimic
the AtariXL operating system closely.

koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=940319

Notes:
- rpmlint is silent
- the emulator contains own implementation of the OS stored usually in ROM, the source of this "ROM" is licensed under the same terms as the emulator itself
- no ROM is required to run the emulator
Comment 1 Miroslav Lichvar 2008-11-20 12:12:58 EST
- rpmlint output:
atari++.x86_64: W: file-not-utf8 /usr/share/doc/atari++-1.55/CREDITS
atari++.x86_64: W: invalid-license TPL

Not a blocker, but please convert also CREDITS in the spec. 
TPL is a valid license.

- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
- the package meets the Packaging Guidelines
- the package is licensed with a Fedora approved license (TPL)
- the License field in the package spec file matches the actual license
- the file containing the text of the license(s) for the package is included in %doc
- the spec file is written in American English
- the spec file for the package is legible
- the source matches the upstream source
- all build dependencies are listed in BuildRequires
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in rpm packages are valid UTF-8
- the package builds in mock (at least on x86_64)
- the package functions as described

Approved.
Comment 2 Dan Horák 2008-11-20 12:23:53 EST
New Package CVS Request
=======================
Package Name: atari++
Short Description: Unix based emulator of the Atari eight bit computers
Owners: sharkcz
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2008-11-22 23:18:09 EST
cvs done.
Comment 4 Dan Horák 2008-11-23 16:06:39 EST
Imported and built, thanks for the review.
Comment 5 Dan Horák 2008-11-25 05:31:07 EST
Package Change Request
======================
Package Name: atari++
New Branches: EL-5
Owners: sharkcz
Comment 6 Dennis Gilmore 2008-11-25 11:54:12 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.